Get cost services
curl --request GET \
--url https://api.vantage.sh/v2/cost_services \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/cost_services"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/cost_services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cost_services": [
{
"name": "Amazon Simple Storage Service",
"provider": "aws"
}
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}CostService
Get cost services
List CostServices available to query in a given Workspace.
GET
/
cost_services
Get cost services
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The token of the Workspace to list CostServices for. Required if the API token is associated with multiple Workspaces.
⌘I